<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('homepage', function (Blueprint $table) {
            $table->id();
            $table->string('img', 255);
            $table->string('top_topic', 255);
            $table->text('top_text');
            $table->string('top_three_box_1', 255);
            $table->string('top_three_box_2', 255);
            $table->string('top_three_box_3', 255);
            $table->string('second_topic', 255);
            $table->text('second_text');
            $table->string('green_title', 255);
            $table->string('four_box_1', 255);
            $table->string('four_box_2', 255);
            $table->string('four_box_3', 255);
            $table->string('four_box_4', 255);
            $table->string('third_topic', 255);
            $table->text('third_text');
            $table->string('forth_topic', 255);
            $table->text('forth_text');
            $table->string('about_atom_video', 255);
            $table->string('about_atom_video_poster', 255);
            $table->text('about_atom_text');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('homepage');
    }
};
